List resource credentials
GET
/
api
/
headless
/
v1
/
organizations
/
{organizationId}
/
resources
/
{resourceId}
/
credentials
List resource credentials
curl --request GET \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resources/{resourceId}/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resources/{resourceId}/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resources/{resourceId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resources/{resourceId}/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"organizationId": "<string>",
"resourceId": "<string>",
"name": "<string>",
"kind": "username_password",
"default": true,
"assignedTo": {
"users": [
"<string>"
],
"groups": [
"<string>"
],
"serviceAccounts": [
"<string>"
]
},
"managementMode": "forge",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"headerName": "<string>",
"authentication": {
"region": "<string>",
"roleArn": "<string>",
"tokenEndpoint": "<string>",
"clientId": "<string>",
"scopes": [
"<string>"
],
"audience": "<string>"
},
"managerId": "<string>",
"managerInstance": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"rotatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Enter a Forge service-account token or delegated OAuth access token. Mintlify adds the Bearer prefix.
Response
Credential metadata for the Resource. Secret values are never returned.
Show child attributes
Show child attributes
⌘I
List resource credentials
curl --request GET \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resources/{resourceId}/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resources/{resourceId}/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resources/{resourceId}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resources/{resourceId}/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"organizationId": "<string>",
"resourceId": "<string>",
"name": "<string>",
"kind": "username_password",
"default": true,
"assignedTo": {
"users": [
"<string>"
],
"groups": [
"<string>"
],
"serviceAccounts": [
"<string>"
]
},
"managementMode": "forge",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"headerName": "<string>",
"authentication": {
"region": "<string>",
"roleArn": "<string>",
"tokenEndpoint": "<string>",
"clientId": "<string>",
"scopes": [
"<string>"
],
"audience": "<string>"
},
"managerId": "<string>",
"managerInstance": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"rotatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}